fuse: Data Fields

fuse

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- access : fuse_lowlevel_ops , fuse_operations
- allocated : fuse_args
- argc : fuse_args
- argv : fuse_args
- async_read : fuse_conn_info
- attr : fuse_entry_param
- attr_timeout : fuse_entry_param

### - b -

- bmap : fuse_lowlevel_ops , fuse_operations
- buf : fuse_bufvec

### - c -

- capable : fuse_conn_info
- chmod : fuse_operations
- chown : fuse_operations
- congestion_threshold : fuse_conn_info
- count : fuse_bufvec
- create : fuse_lowlevel_ops , fuse_operations

### - d -

- destroy : fuse_chan_ops , fuse_lowlevel_ops , fuse_operations , fuse_session_ops
- direct_io : fuse_file_info

### - e -

- entry_timeout : fuse_entry_param
- exit : fuse_session_ops
- exited : fuse_session_ops

### - f -

- factory : fuse_module
- fallocate : fuse_lowlevel_ops , fuse_operations
- fd : fuse_buf
- fgetattr : fuse_operations
- fh : fuse_file_info
- fh_old : fuse_file_info
- flag_nopath : fuse_operations
- flag_nullpath_ok : fuse_operations
- flag_reserved : fuse_operations
- flag_utime_omit_ok : fuse_operations
- flags : fuse_buf , fuse_file_info
- flock : fuse_lowlevel_ops , fuse_operations
- flush : fuse_file_info , fuse_lowlevel_ops , fuse_operations
- forget : fuse_lowlevel_ops
- forget_multi : fuse_lowlevel_ops
- fsync : fuse_lowlevel_ops , fuse_operations
- fsyncdir : fuse_lowlevel_ops , fuse_operations
- ftruncate : fuse_operations
- fuse : fuse_context

### - g -

- generation : fuse_entry_param
- getattr : fuse_lowlevel_ops , fuse_operations
- getlk : fuse_lowlevel_ops
- getxattr : fuse_lowlevel_ops , fuse_operations
- gid : fuse_context , fuse_ctx

### - i -

- idx : fuse_bufvec
- init : fuse_lowlevel_ops , fuse_operations
- ino : fuse_entry_param
- ioctl : fuse_lowlevel_ops , fuse_operations

### - k -

- keep_cache : fuse_file_info

### - l -

- link : fuse_lowlevel_ops , fuse_operations
- listxattr : fuse_lowlevel_ops , fuse_operations
- lock : fuse_operations
- lock_owner : fuse_file_info
- lookup : fuse_lowlevel_ops

### - m -

- max_background : fuse_conn_info
- max_readahead : fuse_conn_info
- max_write : fuse_conn_info
- mem : fuse_buf
- mkdir : fuse_lowlevel_ops , fuse_operations
- mknod : fuse_lowlevel_ops , fuse_operations

### - n -

- name : fuse_module
- nonseekable : fuse_file_info

### - o -

- off : fuse_bufvec
- offset : fuse_opt
- open : fuse_lowlevel_ops , fuse_operations
- opendir : fuse_lowlevel_ops , fuse_operations

### - p -

- padding : fuse_file_info
- pid : fuse_context , fuse_ctx
- poll : fuse_lowlevel_ops , fuse_operations
- pos : fuse_buf
- private_data : fuse_context
- process : fuse_session_ops
- proto_major : fuse_conn_info
- proto_minor : fuse_conn_info

### - r -

- read : fuse_lowlevel_ops , fuse_operations
- read_buf : fuse_operations
- readdir : fuse_lowlevel_ops , fuse_operations
- readlink : fuse_lowlevel_ops , fuse_operations
- receive : fuse_chan_ops
- release : fuse_lowlevel_ops , fuse_operations
- releasedir : fuse_lowlevel_ops , fuse_operations
- removexattr : fuse_lowlevel_ops , fuse_operations
- rename : fuse_lowlevel_ops , fuse_operations
- reserved : fuse_conn_info
- retrieve_reply : fuse_lowlevel_ops
- rmdir : fuse_lowlevel_ops , fuse_operations

### - s -

- send : fuse_chan_ops
- setattr : fuse_lowlevel_ops
- setlk : fuse_lowlevel_ops
- setxattr : fuse_lowlevel_ops , fuse_operations
- size : fuse_buf
- statfs : fuse_lowlevel_ops , fuse_operations
- symlink : fuse_lowlevel_ops , fuse_operations

### - t -

- templ : fuse_opt
- truncate : fuse_operations

### - u -

- uid : fuse_context , fuse_ctx
- umask : fuse_context , fuse_ctx
- unlink : fuse_lowlevel_ops , fuse_operations
- utime : fuse_operations
- utimens : fuse_operations

### - v -

- value : fuse_opt

### - w -

- want : fuse_conn_info
- write : fuse_lowlevel_ops , fuse_operations
- write_buf : fuse_lowlevel_ops , fuse_operations
- writepage : fuse_file_info